[Buildroot] [PATCH 1/1] linux-headers: aarch64: Prevent selecting unsupported versions

Peter Korsgaard peter at korsgaard.com
Tue Sep 5 21:20:37 UTC 2017


>>>>> "Bernd" == Bernd Kuhls <bernd.kuhls at t-online.de> writes:

 > Versions older than Linux v3.7 do not support the aarch64 architecture
 > so disable them, for reference see https://kernelnewbies.org/Linux_3.7

 > Without this patch these defconfigs fail to build

 > BR2_aarch64=y
 > BR2_KERNEL_HEADERS_3_2=y

 > BR2_aarch64=y
 > BR2_KERNEL_HEADERS_3_4=y

 > with error messages like this:

 > make[1]: Entering directory '/home/buildroot/br5_next/output/build/linux-headers-3.2.89'
 > Makefile:567: /home/buildroot/br5_next/output/build/linux-headers-3.2.89/arch/arm64/Makefile: No such file or directory

 > Signed-off-by: Bernd Kuhls <bernd.kuhls at t-online.de>

Committed to 2017.02.x, thanks.

-- 
Bye, Peter Korsgaard


More information about the buildroot mailing list